Generation Framework

## org.eclipse.gmf.gmfgraph
Interface CustomAttribute

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  CustomAttributeImpl

    public interface CustomAttribute

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Custom Attribute'.

The following features are supported:

- `Name`
- `Value`
- `Direct Access`
- `Multi Statement Value`

See Also:
  `GMFGraphPackage.getCustomAttribute()`
** Generated **
Model:

Method Summary
`java.lang.String` `getName()` Returns the value of the 'Name' attribute
`java.lang.String` `getValue()` Returns the value of the 'Value' attribute.
`boolean` `isDirectAccess()` Returns the value of the 'Direct Access' attribute.
`boolean` `isMultiStatementValue()` Returns the value of the 'Multi Statement Value' attribute.
`void` `setDirectAccess(boolean value)` Sets the value of the '`Direct Access`' attribute
`void` `setMultiStatementValue(boolean value)` Sets the value of the '`Multi Statement Value`' attribute
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
`void` `setValue(java.lang.String value)` Sets the value of the '`Value`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `GMFGraphPackage.getCustomAttribute_Name()`
  ** Generated **
  Model:
    required="true"

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`
  ** Generated **

### getValue

    java.lang.String getValue()

  Returns the value of the 'Value' attribute. The default value is `"null"`.

  If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(String)`, `GMFGraphPackage.getCustomAttribute_Value()`
  ** Generated **
  Model:
    default="null" required="true"

### setValue

    void setValue(java.lang.String value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`
  ** Generated **

### isDirectAccess

    boolean isDirectAccess()

  Returns the value of the 'Direct Access' attribute. The default value is `"false"`.

  If the meaning of the 'Direct Access' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Direct Access' attribute.
  See Also:
    `setDirectAccess(boolean)`, `GMFGraphPackage.getCustomAttribute_DirectAccess()`
  ** Generated **
  Model:
    default="false" required="true"

### setDirectAccess

    void setDirectAccess(boolean value)

  Sets the value of the '`Direct Access`' attribute.

  Parameters:
    `value` - the new value of the 'Direct Access' attribute.
  See Also:
    `isDirectAccess()`
  ** Generated **

### isMultiStatementValue

    boolean isMultiStatementValue()

  Returns the value of the 'Multi Statement Value' attribute. The default value is `"false"`.

  If the meaning of the 'Multi Statement Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Multi Statement Value' attribute.
  See Also:
    `setMultiStatementValue(boolean)`, `GMFGraphPackage.getCustomAttribute_MultiStatementValue()`
  ** Generated **
  Model:
    default="false" required="true"

### setMultiStatementValue

    void setMultiStatementValue(boolean value)

  Sets the value of the '`Multi Statement Value`' attribute.

  Parameters:
    `value` - the new value of the 'Multi Statement Value' attribute.
  See Also:
    `isMultiStatementValue()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.